Summary:	Mozilla Thunderbird mail/newsgroup client
Name:		MozillaThunderbird
Version:	0.3
Release:	0.fdr.0.rh90
Epoch:		0
URL:		http://www.mozilla.org/projects/thunderbird/
License:	MPL
Group:		Applications/Internet
Source0		http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}/thunderbird-source-%{version}.tar.bz2
Source1:	http://downloads.us-east3.mozdev.org/enigmail/src/ipc-1.0.4.tar.gz
Source2:	http://downloads.us-east3.mozdev.org/enigmail/src/enigmail-0.81.latest.tar.gz
Source3:	mozilla-thunderbird.desktop
Source4:	thunderbird-icon.png
Source5:	thunderbird.sh.in
Source6:	thunderbird-mozconfig
Source7:	http://www.mozilla.org/projects/thunderbird/release-notes.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libpng-devel, libjpeg-devel, libmng-devel, gtk2-devel
BuildRequires:	zlib-devel, zip, gzip
BuildRequires:	XFree86-devel >= 0:4.2.1
BuildRequires:	libIDL-devel
BuildRequires:	desktop-file-utils
Requires:	gnupg

%description
Mozilla Thunderbird is a standalone mail and newsgroup client.

This version contains GPG support (Enigmail).

#=====================================================================

%prep
%setup -q -n mozilla
cp -f %{SOURCE6} .mozconfig
cp -f %{SOURCE7} .
%setup -T -D -a1 -n mozilla/extensions
%setup -T -D -a2 -n mozilla/extensions
%setup -T -D -n mozilla

#=====================================================================

%build
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
make -f client.mk export
MAKE="make %{?_smp_mflags}" make -f client.mk libs

cd extensions/ipc && ./makemake
make %{?_smp_mflags}
cd ../enigmail && ./makemake
make %{?_smp_mflags}

#=====================================================================

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}

cd xpinstall/packager
make MOZ_PKG_APPNAME=thunderbird MOZILLA_BIN="\$(DIST)/bin/thunderbird-bin"
cd ../..
TARBALL=`pwd`/dist/thunderbird-*-linux-gnu.tar.gz

cd $RPM_BUILD_ROOT%{_libdir}
tar zxf $TARBALL
cd ..

install -p -D %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/pixmaps/thunderbird-icon.png

desktop-file-install --vendor fedora			\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications  	\
	--add-category X-Fedora				\
	--add-category Application			\
	--add-category Network				\
	%{SOURCE3}

cd $RPM_BUILD_ROOT%{_bindir}
cat %{SOURCE5} | 					\
	sed -e 's,MREDIR,%{_libdir}/thunderbird,g' >	\
	mozilla-thunderbird
chmod 755 mozilla-thunderbird
ln -s mozilla-thunderbird MozillaThunderbird

#=====================================================================

%clean
rm -rf $RPM_BUILD_ROOT

#=====================================================================

%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/mozilla-thunderbird
%attr(755,root,root) %{_bindir}/MozillaThunderbird
%attr(644,root,root) %{_datadir}/applications/fedora-mozilla-thunderbird.desktop
%attr(644,root,root) %{_datadir}/pixmaps/thunderbird-icon.png
%{_libdir}/thunderbird
%doc release-notes.html

#=====================================================================

%changelog
* Thu Oct 16 2003 David Hill <djh[at]ii.net>	0:0.3-0.fdr.0
- update to 0.3

* Sun Oct 12 2003 David Hill <djh[at]ii.net>	0:0.3rc3-0.fdr.0
- update to 0.3rc3
- update Enigmail to 0.81.7

* Thu Oct 02 2003 David Hill <djh[at]ii.net>	0:0.3rc2-0.fdr.0
- update to 0.3rc2

* Wed Sep 17 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.2
- simplify startup script

* Wed Sep 10 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.1
- add GPG support (Enigmail 0.81.6)
- specfile fixes (#679)

* Thu Sep 04 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.0
- update to 0.2

* Mon Sep 01 2003 David Hill <djh[at]ii.net>
- initial RPM
  (based on the fedora MozillaFirebird-0.6.1 specfile)

